%undefine __find_provides
%undefine __find_requires

Summary:	French prompts for the Asterisk PBX
Name:		asterisk-prompts-fr
Version:	0
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.asterisk.org/
Source:		asterisk-prompts-fr.tar.bz2
Requires:	asterisk
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Asterisk is an Open Source PBX and telephony development platform
that can both replace a conventional PBX and act as a platform for
developing custom telephony applications for delivering dynamic
content over a telephone similarly to how one can deliver dynamic
content through a web browser using CGI and a web server.
 
Asterisk talks to a variety of telephony hardware including BRI,
PRI, POTS, and IP telephony clients using the Inter-Asterisk
eXchange protocol (e.g. gnophone or miniphone).

This package contains freely usable recorded prompts that were
meant to be used with Asterisk.

%prep

%setup -q -n fr

# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

# clean up CVS stuff
for i in `find . -type d -name .svn\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_localstatedir}/asterisk/sounds

cp -aRf * %{buildroot}%{_localstatedir}/asterisk/sounds/

# cleanup
rm -f %{buildroot}%{_localstatedir}/asterisk/sounds/CREDITS
rm -f %{buildroot}%{_localstatedir}/asterisk/sounds/install_french.sh

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root, root)
%doc CREDITS
%{_localstatedir}/asterisk/sounds/*

%changelog
* Fri Jun 16 2006 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2007.0
- initial Mandriva package
